Bug 48715 - FILEOPEN EDITING Unable to edit text in textboxes from Word .doc
Summary: FILEOPEN EDITING Unable to edit text in textboxes from Word .doc
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: x86 (IA32) Linux (All)
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC-Textbox
  Show dependency treegraph
 
Reported: 2012-04-14 18:30 UTC by Christopher M. Penalver
Modified: 2018-10-01 02:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test case (196.50 KB, application/msword)
2016-12-06 13:08 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2012-04-14 18:30:34 UTC
Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897597

1) lsb_release -rd
Description:    Ubuntu precise (development branch)
Release:    12.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.5.2-2ubuntu1
  Candidate: 1:3.5.2-2ubuntu1
  Version table:
 *** 1:3.5.2-2ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897597/+attachment/2612177/+files/Test%20case.doc -O testcase.doc && lowriter -nologo testcase.doc

is when you double click the first textbox (Pzuorn) you can edit the text that is in the textbox.

4) What happens instead is it is not editable, and one writes new text over the old.
Comment 1 Teo91 2013-09-29 13:59:19 UTC
I can confirm this with LO 4.1.1. on Windows 7 SP1
Comment 2 QA Administrators 2015-04-01 14:40:38 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-04-22 11:56:16 UTC
Well the boxes are just floating on top of the text.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI
Comment 4 QA Administrators 2016-09-20 09:33:03 UTC Comment hidden (obsolete)
Comment 5 Telesto 2016-12-06 13:08:22 UTC
Created attachment 129347 [details]
Test case
Comment 6 Telesto 2016-12-06 13:12:34 UTC
Still reproducible
Version: 5.4.0.0.alpha0+
Build ID: 33f5bc54aaa7fe7aa9335726e30f9c349155e04d
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-12-01_23:21:05
Locale: nl-NL (nl_NL); Calc: CL
Comment 7 QA Administrators 2018-10-01 02:53:08 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug